## clonezilla-live-src-20140805-trusty-i386.ubuntu.tar.gz

=== CMakeLists.txt ===
PROJECT (cdrkit C)
SUBDIRS(include genisoimage wodim libedc libhfs_iso libparanoia icedax libusal librols libunls readom netscsid 3rd-party/dirsplit)

=== Makefile ===
# Makefile for wipe by Berke Durak
# 
# echo berke1lambda-diode2com|tr 12 @.
#
# define HAVE_OSYNC if an O_SYNC bit can be specified for the open () call
# (see open(2))
#
# define HAVE_DEV_URANDOM if /dev/urandom is available; will use a simple
# getpid() ^ clock() like scheme to seed the pseudorandom generator
# otherwise.
#
# define HAVE_RANDOM if the random () library call is available on your
# system.
#
# define HAVE_STRCASECMP if the strcasecmp () library call is available
# on your system.
#
# the REMOVE_ON_INT option has been removed since version 0.17,
# as it is difficult to maintain and has no significant purpose IMHO.
#
# define WEAK_RC6 if you wish to use four-round RC6 instead of the
# standard 20 rounds
#
# define RC6_ENABLED ONLY IF RC6 HAS BEEN ACCEPTED AS THE ADVANCED ENCRYPTION
# STANDARD and if you wish it to be available as a PRNG. WARNING. The RC6
# algorythm is patented by RSADSI; unless it is selected as the AES,
# it requires licensing from RSADSI, and you might expose yourself to legal
# problems if you use it without checking with them. I take no responsibility
# on this. I just implemented it since its specifications were freely available
# and it was easy to implement. by default this is disabled.
#
# define SYNC_WAITS_FOR_SYNC if the sync () system call waits for physical
# i/o to be completed before returning, as under Linux.
#
# define FIND_DEVICE_SIZE_BY_BLKGETSIZE if ioctl BLKGETSIZE is available
# for determinating the block size of a device, as under Linux.
# 
# define SIXTYFOUR,__USE_LARGEFILE and __USE_FILE_OFFSET64 to be able to
# wipe devices or files greater than 4Gb (works under Linux)
# --------------------------------------------------------------------------
# Linux 2.0.x
#

CC_LINUX=gcc
CCO_LINUX=-Wall -DHAVE_DEV_URANDOM -DHAVE_OSYNC -DHAVE_STRCASECMP -DHAVE_RANDOM -DWEAK_RC6 -DSYNC_WAITS_FOR_SYNC -DFIND_DEVICE_SIZE_BY_BLKGETSIZE -DSIXTYFOUR -D__USE_LARGEFILE -D_FILE_OFFSET_BITS=64
# default should be to turn off debugging and to turn on optimization.
#CCO_LINUX+=-O9 -pipe -fomit-frame-pointer -finline-functions -funroll-loops -fstrength-reduce
CCO_LINUX+=$(CFLAGS)
#CCO_LINUX+=-DDEBUG -g
CCOC_LINUX=-c

# --------------------------------------------------------------------------
# SunOS 5.5.1
#

CC_SUNOS=gcc
CCO_SUNOS=-Wall -O6 -pipe -fomit-frame-pointer
CCOC_SUNOS=-c


# --------------------------------------------------------------------------
# AIX 4.1
#

CC_AIX=gcc
CCO_AIX=$(CFLAGS)
CCOC_AIX=-c

# --------------------------------------------------------------------------
# Generic UNIX (gcc)
#

CC_GENERIC=gcc
CCO_GENERIC=-Wall -O6 -pipe -fomit-frame-pointer -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
CCOC_GENERIC=-c

# Thanks to Chris L. Mason <cmason@unixzone.com> for these:
#

# --------------------------------------------------------------------------
# Solaris 2.6 sparc
#

CC_SOLARISSP=gcc
CCO_SOLARISSP=-Wall -O6 -pipe -fomit-frame-pointer
CCOC_SOLARISSP=-c

# --------------------------------------------------------------------------
# Solaris 2.6 x86
#

CC_SOLARISX86=gcc
CCO_SOLARISX86=-Wall -O6 -fomit-frame-pointer
CCOC_SOLARISX86=-c

# --------------------------------------------------------------------------
# FreeBSD 2.2.6-STABLE
#

CC_FREEBSD=gcc
CCO_FREEBSD=-Wall -O6 -fomit-frame-pointer
CCOC_FREEBSD=-c

# --------------------------------------------------------------------------
# Digital/Compaq UNIX Alpha
#
# Thanks to Cyrus Durgin for this entry.

CC_DIGITALALPHA=gcc
CCO_DIGITALALPHA=-Wall -O6 -fomit-frame-pointer -DHAVE_OSYNC -DHAVE_STRCASECMP
CCOC_DIGITALALPHA=-c

#

OBJECTS=wipe.o arcfour.o md5.o misc.o random.o
TARGETS=wipe wipe.tr-asc.1

all	:	
		@echo "Please type $(MAKE) <system> where <system> can be one of:"; \
		echo "  linux        -- for Linux (kernel 2.0.x or higher)"; \
		echo "  sunos        -- for SunOS (tested on 5.5.1)"; \
		echo "  aix          -- for AIX (tested on 4.2)"; \
		echo "  solarissp    -- for Solaris SPARC (tested on 2.6)"; \
		echo "  solarisx86   -- for Solaris x86 (tested on 2.6)"; \
		echo "  freebsd      -- for FreeBSD (tested on 2.2.6-STABLE)"; \
		echo "  digitalalpha -- for Digital/Compaq UNIX Alpha"; \
		echo "  generic      -- for generic unix"

linux	:	
		$(MAKE) $(TARGETS) "CC=$(CC_LINUX)" "CCO=$(CCO_LINUX)" "CCOC=$(CCOC_LINUX)"

sunos	:	
		$(MAKE) $(TARGETS) "CC=$(CC_SUNOS)" "CCO=$(CCO_SUNOS)" "CCOC=$(CCOC_SUNOS)"

aix	:	
		$(MAKE) $(TARGETS) "CC=$(CC_AIX)" "CCO=$(CCO_AIX)" "CCOC=$(CCOC_AIX)"

freebsd	:	
		$(MAKE) $(TARGETS) "CC=$(CC_FREEBSD)" "CCO=$(CCO_FREEBSD)" "CCOC=$(CCOC_FREEBSD)"

solarissp	:	
		$(MAKE) $(TARGETS) "CC=$(CC_SOLARISSP)" "CCO=$(CCO_SOLARISSP)" "CCOC=$(CCOC_SOLARISSP)"

solarisx86	:	
		$(MAKE) $(TARGETS) "CC=$(CC_SOLARISX86)" "CCO=$(CCO_SOLARISX86)" "CCOC=$(CCOC_SOLARISX86)"

digitalalpha	:	
		$(MAKE) $(TARGETS) "CC=$(CC_DIGITALALPHA)" "CCO=$(CCO_DIGITALALPHA)" "CCOC=$(CCOC_DIGITALALPHA)"

generic	:	
		$(MAKE) $(TARGETS) "CC=$(CC_GENERIC)" "CCO=$(CCO_GENERIC)" "CCOC=$(CCOC_GENERIC)"

wipe	:	$(OBJECTS)
		$(CC) $(CCO) $(OBJECTS) -o wipe

wipe.o	:	wipe.c random.h misc.h version.h
		$(CC) $(CCO) $(CCOC) wipe.c -o wipe.o

version.h: always
		if which git >/dev/null 2>&1 ; then \
			git rev-list --max-count=1 HEAD | sed -e 's/^/#define WIPE_GIT "/' -e 's/$$/"/' >version.h ; \
	  else \
			echo '#define WIPE_GIT "(unknown, compiled without git)"' >version.h ; \
	  fi

random.o	:	random.c misc.h md5.h
		$(CC) $(CCO) $(CCOC) random.c -o random.o

rc6.o	:	rc6.c rc6.h
		$(CC) $(CCO) $(CCOC) rc6.c -o rc6.o

arcfour.o	:	arcfour.c arcfour.h
		$(CC) $(CCO) $(CCOC) arcfour.c -o arcfour.o

md5.o	:	md5.c md5.h
		$(CC) $(CCO) $(CCOC) md5.c -o md5.o

misc.o	:	misc.c misc.h
		$(CC) $(CCO) $(CCOC) misc.c -o misc.o

wipe.tr-asc.1	:	wipe.tr.1
			./trtur <wipe.tr.1 >wipe.tr-asc.1

clean	:	
		rm -f wipe $(OBJECTS) wipe.tr-asc.1 version.h

install:
	install -m755 -o root -g root wipe $(DESTDIR)/usr/bin

.PHONY: always clean install

=== catgets/Makefile ===
# Copyright (C) 1996-2014 Free Software Foundation, Inc.
# This file is part of the GNU C Library.

# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.

# The GNU C Library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.

#
#	Makefile for catgets.
#
subdir	:= catgets

include ../option-groups.mak

headers		= nl_types.h
routines-$(OPTION_EGLIBC_CATGETS)    := catgets open_catalog
others-$(OPTION_EGLIBC_CATGETS)      := gencat
install-bin-$(OPTION_EGLIBC_CATGETS) := gencat
extra-objs-$(OPTION_EGLIBC_CATGETS)  := $(gencat-modules:=.o)

tests-$(OPTION_EGLIBC_CATGETS)       := tst-catgets
test-srcs-$(OPTION_EGLIBC_CATGETS)   := test-gencat

gencat-modules	= xmalloc

# To find xmalloc.c
vpath %.c ../locale/programs


include ../Rules

$(objpfx)gencat: $(gencat-modules:%=$(objpfx)%.o)

catgets-CPPFLAGS := -DNLSPATH='"$(msgcatdir)/%L/%N:$(msgcatdir)/%L/LC_MESSAGES/%N:$(msgcatdir)/%l/%N:$(msgcatdir)/%l/LC_MESSAGES/%N:"' \
	    -DHAVE_CONFIG_H

CPPFLAGS-gencat = -DNOT_IN_libc

generated = de.msg test1.cat test1.h test2.cat test2.h sample.SJIS.cat \
	    test-gencat.h
generated-dirs = de

tst-catgets-ENV = NLSPATH="$(objpfx)%l/%N.cat" LANG=de

ifeq ($(run-built-tests),yes)
ifeq (y,$(OPTION_EGLIBC_CATGETS))
tests: $(objpfx)de/libc.cat $(objpfx)test1.cat $(objpfx)test2.cat \
       $(objpfx)test-gencat.out
endif
# This test just checks whether the program produces any error or not.
# The result is not tested.
$(objpfx)test1.cat: test1.msg $(objpfx)gencat
	LC_ALL=hr_HR.ISO-8859-2 LOCPATH=$(common-objpfx)localedata \
	GCONV_PATH=$(common-objpfx)iconvdata \
	$(built-program-cmd) -H $(objpfx)test1.h $@ $<
$(objpfx)test2.cat: test2.msg $(objpfx)gencat
	LOCPATH=$(common-objpfx)localedata \
	GCONV_PATH=$(common-objpfx)iconvdata \
	$(built-program-cmd) -H $(objpfx)test2.h $@ $<
$(objpfx)de/libc.cat: $(objpfx)de.msg $(objpfx)gencat
	$(make-target-directory)
	LC_ALL=de_DE.ISO-8859-1 LOCPATH=$(common-objpfx)localedata \
	GCONV_PATH=$(common-objpfx)iconvdata $(built-program-cmd) $@ $<
$(objpfx)tst-catgets.out: $(objpfx)de/libc.cat

# Generate a non-simple input file.
$(objpfx)de.msg: xopen-msg.awk $(..)po/de.po
	LC_ALL=C $(AWK) -f $^ $< > $@

$(objpfx)test-gencat.out: test-gencat.sh $(objpfx)test-gencat \
			  $(objpfx)sample.SJIS.cat
	$(SHELL) $< $(common-objpfx) '$(test-program-cmd)'

$(objpfx)sample.SJIS.cat: sample.SJIS $(objpfx)gencat
	GCONV_PATH=$(common-objpfx)iconvdata LC_ALL=C \
	$(built-program-cmd) -H $(objpfx)test-gencat.h < $(word 1,$^) > $@
endif

=== crypt/Makefile ===
# Copyright (C) 1996-2014 Free Software Foundation, Inc.
# This file is part of the GNU C Library.

# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.

# The GNU C Library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.

#
#	Sub-makefile for crypt() portion of the library.
#
include ../option-groups.mak

subdir	:= crypt

headers := crypt.h

extra-libs-$(OPTION_EGLIBC_CRYPT) := libcrypt
extra-libs-others-y := $(extra-libs-y)

libcrypt-routines := crypt-entry md5-crypt sha256-crypt sha512-crypt
libcrypt-routines-$(OPTION_EGLIBC_CRYPT_UFC) := crypt_util crypt
libcrypt-routines += $(libcrypt-routines-y)

tests-$(OPTION_EGLIBC_CRYPT) := md5c-test sha256c-test sha512c-test badsalttest
tests-$(OPTION_EGLIBC_CRYPT_UFC) += cert

include ../Makeconfig

ifeq ($(crypt-in-libc)$(OPTION_EGLIBC_CRYPT),yesy)
routines += $(libcrypt-routines)
endif

ifeq ($(nss-crypt),yes)
CPPFLAGS-sha256-crypt.c = -DUSE_NSS -I$(shell nss-config --includedir)
CPPFLAGS-sha512-crypt.c = -DUSE_NSS -I$(shell nss-config --includedir)
CPPFLAGS-md5-crypt.c = -DUSE_NSS -I$(shell nss-config --includedir)
LDLIBS-crypt.so = -lfreebl3
else
libcrypt-routines += md5 sha256 sha512

tests-$(OPTION_EGLIBC_CRYPT) += md5test sha256test sha512test

# The test md5test-giant uses up to 400 MB of RSS and runs on a fast
# machine over a minute.
xtests = md5test-giant
endif

include ../Rules

ifneq ($(nss-crypt),yes)
md5-routines := md5 $(filter md5%,$(libcrypt-sysdep_routines))
sha256-routines := sha256 $(filter sha256%,$(libcrypt-sysdep_routines))
sha512-routines := sha512 $(filter sha512%,$(libcrypt-sysdep_routines))

$(objpfx)md5test: $(patsubst %, $(objpfx)%.o,$(md5-routines))
$(objpfx)md5test-giant: $(patsubst %, $(objpfx)%.o,$(md5-routines))
$(objpfx)sha256test: $(patsubst %, $(objpfx)%.o,$(sha256-routines))
$(objpfx)sha512test: $(patsubst %, $(objpfx)%.o,$(sha512-routines))
endif

ifeq ($(OPTION_EGLIBC_CRYPT),y)
ifeq (yes,$(build-shared))
$(addprefix $(objpfx),$(tests)): $(objpfx)libcrypt.so
else
$(addprefix $(objpfx),$(tests)): $(objpfx)libcrypt.a
endif
endif # eglibc: OPTION_EGLIBC_CRYPT

=== docs-xml/Makefile ===
#################################################################
# Makefile for Samba Documentation
# Authors:	
# 		James Moore <jmoore@php.net>
# 		Gerald Carter <jerry@samba.org>
# 		Jelmer Vernooij <jelmer@samba.org>
include Makefile.settings

# Docs to build
MAIN_DOCS = $(patsubst %/index.xml,%,$(wildcard */index.xml))
MANPAGES = $(wildcard $(MANPAGEDIR)/*.?.xml)

# Lists of files to process
MANPAGES_PLUCKER = $(patsubst $(MANPAGEDIR)/%.xml,$(PLUCKERDIR)/%.pdb,$(MANPAGES))
DBLATEX_OPTIONS = -p xslt/latex.xsl -i xslt/latex

DATETIME := $(shell date +%Y%m%d%H%M%S)

ifeq ($(PROFILE), Y)
XSLTPROC += --profile --load-trace --timing
endif

ifndef OUTPUTDIR
Makefile.settings: configure
	./configure

configure: configure.ac
	autoreconf
endif

help: 
	@echo "Supported make targets:"
	@echo " release - Build the docs needed for a Samba release"
	@echo " all - Build all docs that can be build using the utilities found by configure"
	@echo " everything - Build all of the above"
	@echo " pdf,tex,ps,manpages,txt,pearson,htmlhelp - Build specific output format"
	@echo " html - Build multi-file HTML versions"
	@echo " html-single - Build single-file HTML versions"
	@echo " htmlman - Build HTML version of manpages"
	@echo " undocumented - Output list of undocumented smb.conf options"
	@echo " samples - Extract examples"

$(PDFDIR)/Samba3-ByExample.pdf $(PSDIR)/Samba3-ByExample.ps $(DOCBOOKDIR)/Samba3-ByExample.xml Samba3-ByExample.tex: $(wildcard Samba3-ByExample/*.xml)
$(PDFDIR)/Samba3-HOWTO.pdf $(PSDIR)/Samba3-HOWTO.ps Samba3-HOWTO.tex $(DOCBOOKDIR)/Samba3-HOWTO.xml: $(wildcard Samba3-HOWTO/*.xml) Samba3-HOWTO-attributions.xml
Samba3-HOWTO/manpages.xml: $(MANPAGEDIR)/smb.conf.5.xml
$(PDFDIR)/Samba3-Developers-Guide.pdf $(PSDIR)/Samba3-Developers-Guide.ps $(DOCBOOKDIR)/Samba3-Developers-Guide.xml Samba3-Developers-Guide.tex: $(wildcard Samba3-Developers-Guide/*.xml) Samba3-Developers-Guide-attributions.xml

# Pseudo targets 
all:: $(TARGETS)
everything:: manpages pdf html-single html htmlman txt ps fo htmlhelp pearson
release:: manpages htmlman html pdf
clean::
	@echo "Cleaning up..." 
	rm -rf $(OUTPUTDIR)/* $(DOCBOOKDIR)
	rm -f *-attributions.xml
	rm -f $(patsubst %.svg,%.png,$(foreach DOC,$(MAIN_DOCS),$($(DOC)-images-latex-dia))) \
			$(patsubst %.svg,%.pdf,$(foreach DOC,$(MAIN_DOCS),$($(DOC)-images-latex-svg))) \
			$(patsubst %.svg,%.eps,$(foreach DOC,$(MAIN_DOCS),$($(DOC)-images-latex-svg))) \
			$(patsubst %.svg,%.png,$(foreach DOC,$(MAIN_DOCS),$($(DOC)-images-latex-svg)))
	rm -f *-attributions.xml *.d *.tpt *.tex *.loc *.toc *.lof *.glo *.idx *.aux
	rm -f *-images-html*
	rm -f *-images-latex-* $(LATEX_FIGURES)
	rm -f xslt/figures/*pdf
	rm -f $(SMBDOTCONFDOC)/parameters.*.xml
	rm -f build/catalog.xml

# Output format targets
pdf:: $(patsubst %,$(PDFDIR)/%.pdf,$(MAIN_DOCS))
ps:: $(patsubst %,$(PSDIR)/%.ps,$(MAIN_DOCS))
txt:: $(patsubst %,$(TXTDIR)/%.txt,$(MAIN_DOCS))
tex:: $(addsuffix .tex,$(MAIN_DOCS))
texi:: $(patsubst %,$(TEXINFODIR)/%.texi,$(MAIN_DOCS))
texiinfo:: $(patsubst %,$(TEXINFODIR)/%.info,$(MAIN_DOCS))
manpages:: $(patsubst $(MANPAGEDIR)/%.xml,$(OUTPUTDIR)/manpages/%,$(MANPAGES))
pearson:: $(PEARSONDIR)/Samba3-HOWTO.xml
pearson-verify:: $(PEARSONDIR)/Samba3-HOWTO.report.html
plucker:: $(patsubst %,$(PLUCKERDIR)/%.pdb,$(MAIN_DOCS))
htmlman:: $(patsubst $(MANPAGEDIR)/%.xml,$(HTMLDIR)/manpages/%.html,$(MANPAGES)) $(HTMLDIR)/manpages/index.html
html-single:: $(patsubst %,$(HTMLDIR)/%.html,$(MAIN_DOCS))
html:: $(patsubst %,$(HTMLDIR)/%/index.html,$(MAIN_DOCS)) $(HTMLDIR)/index.html
htmlhelp:: $(addprefix $(HTMLHELPDIR)/,$(MAIN_DOCS))
validate:: $(addsuffix -validate,$(MAIN_DOCS))

test:: validate
check:: validate

.PHONY: test check validate manpages

# Intermediate docbook docs
#
$(DOCBOOKDIR)/%.xml: %/index.xml xslt/expand-sambadoc.xsl
	@echo "Converting Samba-specific tags for $*..."
	@mkdir -p $(@D)
	@$(XSLTPROC) --stringparam latex.imagebasedir "$*/"  --stringparam noreference 0  --xinclude --output $@ xslt/expand-sambadoc.xsl $<

$(DOCBOOKDIR)/manpages/%.xml: $(MANPAGEDIR)/%.xml xslt/expand-sambadoc.xsl
	@mkdir -p $(@D)
	$(XSLTPROC) --xinclude --stringparam noreference 0 --output $@ xslt/expand-sambadoc.xsl $<

$(DOCBOOKDIR)/manpages/index.xml: $(MANPAGES) xslt/manpage-summary.xsl
	@mkdir -p $(@D)
	echo "<article><variablelist>" > $@
	$(XSLTPROC) xslt/manpage-summary.xsl $(MANPAGES) >> $@
	@echo "</variablelist></article>" >> $@

# HTML docs
$(HTMLDIR)/index.html: htmldocs.html
	@mkdir -p $(@D)
	cp $< $@

$(HTMLDIR)/%/index.html: $(DOCBOOKDIR)/%.xml $(HTMLDIR)/%/samba.css xslt/html-chunk.xsl %-images-html-chunks
	@mkdir -p $(@D)
	$(XSLTPROC) --stringparam base.dir "$(HTMLDIR)/$*/" xslt/html-chunk.xsl $<

# Single large HTML files
$(OUTPUTDIR)/%/samba.css: xslt/html/samba.css
	@mkdir -p $(@D)
	cp $< $@

$(patsubst %,$(HTMLDIR)/%.html,$(MAIN_DOCS)): $(HTMLDIR)/%.html: %-images-html-single

$(HTMLDIR)/%.html: $(DOCBOOKDIR)/%.xml $(HTMLDIR)/samba.css xslt/html.xsl 
	$(XSLTPROC) --output $@ xslt/html.xsl $<

# Attributions
%-attributions.xml: 
	@echo "Generating attributions file $@ from $*/"
	@cp -f templates/attributions.xml $@
	@$(XSLTPROC) --xinclude -o $@ xslt/generate-attributions.xsl $*/index.xml 

# Text files
$(TXTDIR)/%.txt: $(HTMLDIR)/%.html
	@mkdir -p $(@D)
	$(HTML2TEXT) -nobs -style pretty -o $@ $<

# Tex files
%.tex: %/index.xml xslt/latex.xsl
	@echo "Generating $@..."
	@mkdir -p $(@D)
	@$(DBLATEX) $(DBLATEX_OPTIONS) -t tex -o $@ $<

# Dependency files
%.d: $(DOCBOOKDIR)/%.xml xslt/generate-dependencies.xsl
	@echo "Generating dependency file for $*" 
	@$(XSLTPROC) --novalid \
		--stringparam txtbasedir "$(TXTDIR)/$*/" \
		--stringparam target "$*" \
		-o $@ xslt/generate-dependencies.xsl $<
	@echo "$*-images-latex-svg = \$$(wildcard \$$(addsuffix .svg, \$$($*-images-latex)))" >> $@
	@echo "$*-images-latex-eps: \$$(addsuffix .eps, \$$($*-images-latex))" >> $@
	@echo "$*-images-latex-pdf: \$$(patsubst %.svg, %.pdf, \$$($*-images-latex-svg))" >> $@
	@echo "$*-images-latex-png: \$$(filter-out \$$(patsubst %.svg,%.png,\$$($*-images-latex-svg)), \$$(addsuffix .png, \$$($*-images-latex)))" >> $@

	@echo >> $@
	@echo "\$$(HTMLDIR)/%: $*/%" >> $@
	@echo "	@mkdir -p \$$(@D)" >> $@
	@echo "	@cp \$$< \$$@" >> $@
	@echo >> $@
	@echo "\$$(HTMLDIR)/$*/%: $*/%" >> $@
	@echo "	@mkdir -p \$$(@D)" >> $@
	@echo "	@cp \$$< \$$@" >> $@
	@echo >> $@
	@echo "\$$(HTMLHELPDIR)/$*/%: $*/%" >> $@
	@echo "	@mkdir -p \$$(@D)" >> $@
	@echo "	@cp \$$< \$$@" >> $@
	@echo >> $@
	@echo "$*-images-html-single: \$$(addprefix \$$(HTMLDIR)/, \$$($*-images-html))" >> $@
	@echo "$*-images-html-chunks: \$$(addprefix \$$(HTMLDIR)/$*/, \$$($*-images-html))" >> $@
	@echo "$*-images-htmlhelp: \$$(addprefix \$$(HTMLHELPDIR)/$*/, \$$($*-images-html))" >> $@

ifdef OUTPUTDIR 
ifneq ($(MAKECMDGOALS),clobber)
-include $(addsuffix .d,$(MAIN_DOCS))
endif
endif

# Adobe PDF files  
$(PDFDIR)/%.pdf: %/index.xml $(PDFDIR) xslt/latex.xsl %-images-latex-png %-images-latex-pdf
	$(DBLATEX) $(DBLATEX_OPTIONS) -I $*/images -t pdf -o $@ $<

# PostScript files
$(PSDIR)/%.ps: %/index.xml $(PSDIR) xslt/latex.xsl %-images-latex-eps
	$(DBLATEX) $(DBLATEX_OPTIONS) -I $*/images -t ps -o $@ $<

%.eps: %.svg
	$(INKSCAPE) -z -f $(abspath $<) --export-eps=$(abspath $@)

%.png: %.svg
	$(INKSCAPE) -z -f $(abspath $<) --export-png=$(abspath $@)

%.eps: %.png
	$(PNGTOPNM) $< | $(PNMTOPS) > $@

%.pdf: %.svg
	$(INKSCAPE) -z -f $(abspath $<) --export-pdf=$(abspath $@)

$(HTMLHELPDIR)/%: $(DOCBOOKDIR)/%.xml %-images-htmlhelp
	$(XSLTPROC) --stringparam htmlhelp.chm $*.chm \
				--stringparam manifest.in.base.dir "$@/" \
				--stringparam base.dir "$@/" \
	http://docbook.sourceforge.net/release/xsl/current/htmlhelp/htmlhelp.xsl $<

# Plucker docs
$(PLUCKERDIR)/%.pdb: $(HTMLDIR)/%.html 
	@mkdir -p $(@D)
	$(PLUCKERBUILD) -v -V 2 --stayonhost --zlib-compression -f $* -p $(PLUCKERDIR) file:$< 

# Texinfo docs
$(TEXINFODIR)/%.texi: $(DOCBOOKDIR)/%.xml
	@mkdir -p $(@D)
	cd $(@D) && $(DB2TEXI) $(shell pwd)/$<

$(TEXINFODIR)/%.info: $(TEXINFODIR)/%.texi
	$(MAKEINFO) --no-validate --force -o $@ "$<"

# Manpages
$(MANPAGEDIR)/smb.conf.5.xml: parameters

# The phony parameters target exists in order to always create the
# the parameters xml files. Otherwise, when parameters.*.xml does not exist
# yet, the parameters are not generated when smb.conf.5.xml is newer than
# any smbdotconf/*/*.xml file ...
.PHONY: parameters

parameters: $(SMBDOTCONFDOC)/parameters.all.xml $(SMBDOTCONFDOC)/parameters.service.xml $(SMBDOTCONFDOC)/parameters.global.xml

$(SMBDOTCONFDOC)/parameters.all.xml: $(wildcard $(SMBDOTCONFDOC)/*/*.xml) $(SMBDOTCONFDOC)/generate-file-list.sh
	$(SMBDOTCONFDOC)/generate-file-list.sh $(SMBDOTCONFDOC) > $@

$(SMBDOTCONFDOC)/parameters.global.xml: $(SMBDOTCONFDOC)/parameters.all.xml $(SMBDOTCONFDOC)/generate-context.xsl
	@echo "Generating list of global smb.conf options" 
	$(XSLTPROC) --xinclude --param smb.context "'G'" --output $(SMBDOTCONFDOC)/parameters.global.xml $(SMBDOTCONFDOC)/generate-context.xsl $<

$(SMBDOTCONFDOC)/parameters.service.xml: $(SMBDOTCONFDOC)/parameters.all.xml $(SMBDOTCONFDOC)/generate-context.xsl
	@echo "Generating list of share-mode smb.conf options" 
	$(XSLTPROC) --xinclude --param smb.context "'S'" --output $(SMBDOTCONFDOC)/parameters.service.xml $(SMBDOTCONFDOC)/generate-context.xsl $<

$(OUTPUTDIR):
	test -d $@ || mkdir $@

$(OUTPUTDIR)/%: $(DOCBOOKDIR)/%.xml xslt/man.xsl
	@mkdir -p $(@D)
	$(XSLTPROC) --output $@ xslt/man.xsl $<

# Individual smb.conf parameters
smb.conf-chunks: $(patsubst $(SMBDOTCONFDOC)/%.xml,$(HTMLDIR)/smb.conf/%.html,$(wildcard $(SMBDOTCONFDOC)/*/*.xml))

$(HTMLDIR)/smb.conf/%.html: $(SMBDOTCONFDOC)/%.xml
	@mkdir -p $(@D)
	$(XSLTPROC) --output $@ xslt/smb.conf-html.xsl $<

# Pearson compatible XML
$(PEARSONDIR)/%.xml: %/index.xml xslt/pearson.xsl
	@mkdir -p $(@D)
	$(XSLTPROC) --xinclude --output $@ xslt/sambadoc2pearson.xsl $<

$(PEARSONDIR)/%.report.html: $(PEARSONDIR)/%.xml
	@mkdir -p $(@D)
	-$(XMLLINT) --valid --noout $< 2> $@

# Validation verification
%-validate: %/index.xml
	cd $(<D) && $(XMLLINT) --xinclude --noent --postvalid --noout $(<F)

# Find undocumented parameters
undocumented: $(SMBDOTCONFDOC)/parameters.all.xml scripts/find_missing_manpages
	$(PERL) scripts/find_missing_manpages $(SRCDIR)/source3

samples: $(DOCBOOKDIR)/Samba3-HOWTO.xml xslt/extract-examples.xsl scripts/indent-smb.conf.pl
	@mkdir -p examples
	$(XSLTPROC) --xinclude xslt/extract-examples.xsl $< > /dev/null 2> examples/README
	for I in examples/*.conf; do { ./scripts/indent-smb.conf.pl < $$I > $$I.tmp; mv $$I.tmp $$I; } done

# Archiving
archive: pdf
	@mkdir -p $(ARCHIVEDIR)
	cp $(PDFDIR)/Samba3-HOWTO.pdf $(ARCHIVEDIR)/TOSHARG-$(DATETIME).pdf
	cp $(PDFDIR)/Samba3-ByExample.pdf $(ARCHIVEDIR)/S3bE-$(DATETIME).pdf

# XSL scripts
xslt/html.xsl: xslt/html-common.xsl 
xslt/html-chunk.xsl: xslt/html-common.xsl 
xslt/latex.xsl: 
xslt/expand-sambadoc.xsl: 
xslt/generate-attributions.xsl: 
xslt/man.xsl:
xslt/pearson.xsl:

distclean clobber:: clean
	rm -f Makefile.settings config.status config.log

realdistclean:: distclean
	rm -f configure
	rm -rf autom4te.cache
	rm -rf output

# Always keep intermediate files if we can
.SECONDARY:
.PHONY: clean clobber archive release everything all

=== dos/Makefile ===
###############################################################################
#
# Makefile to build XZ Utils using DJGPP
#
# Author: Lasse Collin
#
# This file has been put into the public domain.
# You can do whatever you want with this file.
#
###############################################################################

# For debugging, set comment "#define NDEBUG 1" from config.h to enable
# the assert() macro, set STRIP=rem to disable stripping, and finally
# e.g. CFLAGS="-g -O0".
CC = gcc
STRIP = strip
CPPFLAGS =
CFLAGS = -g -Wall -Wextra -Wfatal-errors -march=i386 -mtune=i686 -O2
LDFLAGS = -lemu

# NOTE: -fgnu89-inline is needed on DJGPP 2.04 beta and GCC >= 4.3.0
# because time.h uses GNU-style "extern inline".
ALL_CFLAGS = -std=gnu99 -fgnu89-inline

ALL_CPPFLAGS = \
	-I. \
	-I../lib \
	-I../src/common \
	-I../src/liblzma/api \
	-I../src/liblzma/common \
	-I../src/liblzma/check \
	-I../src/liblzma/rangecoder \
	-I../src/liblzma/lz \
	-I../src/liblzma/lzma \
	-I../src/liblzma/delta \
	-I../src/liblzma/simple \
	-DHAVE_CONFIG_H

ALL_CPPFLAGS += $(CPPFLAGS)
ALL_CFLAGS += $(CFLAGS)

.PHONY: all
all: xz.exe

SRCS_C = \
	../lib/getopt.c \
	../lib/getopt1.c \
	../src/common/tuklib_cpucores.c \
	../src/common/tuklib_exit.c \
	../src/common/tuklib_mbstr_fw.c \
	../src/common/tuklib_mbstr_width.c \
	../src/common/tuklib_open_stdxxx.c \
	../src/common/tuklib_physmem.c \
	../src/common/tuklib_progname.c \
	../src/liblzma/check/check.c \
	../src/liblzma/check/crc32_table.c \
	../src/liblzma/check/crc64_table.c \
	../src/liblzma/check/sha256.c \
	../src/liblzma/common/alone_decoder.c \
	../src/liblzma/common/alone_encoder.c \
	../src/liblzma/common/block_decoder.c \
	../src/liblzma/common/block_encoder.c \
	../src/liblzma/common/block_header_decoder.c \
	../src/liblzma/common/block_header_encoder.c \
	../src/liblzma/common/block_util.c \
	../src/liblzma/common/common.c \
	../src/liblzma/common/filter_common.c \
	../src/liblzma/common/filter_decoder.c \
	../src/liblzma/common/filter_encoder.c \
	../src/liblzma/common/filter_flags_decoder.c \
	../src/liblzma/common/filter_flags_encoder.c \
	../src/liblzma/common/hardware_physmem.c \
	../src/liblzma/common/index.c \
	../src/liblzma/common/index_decoder.c \
	../src/liblzma/common/index_encoder.c \
	../src/liblzma/common/index_hash.c \
	../src/liblzma/common/stream_decoder.c \
	../src/liblzma/common/stream_encoder.c \
	../src/liblzma/common/stream_flags_common.c \
	../src/liblzma/common/stream_flags_decoder.c \
	../src/liblzma/common/stream_flags_encoder.c \
	../src/liblzma/common/vli_decoder.c \
	../src/liblzma/common/vli_encoder.c \
	../src/liblzma/common/vli_size.c \
	../src/liblzma/delta/delta_common.c \
	../src/liblzma/delta/delta_decoder.c \
	../src/liblzma/delta/delta_encoder.c \
	../src/liblzma/lz/lz_decoder.c \
	../src/liblzma/lz/lz_encoder.c \
	../src/liblzma/lz/lz_encoder_mf.c \
	../src/liblzma/lzma/fastpos_table.c \
	../src/liblzma/lzma/lzma2_decoder.c \
	../src/liblzma/lzma/lzma2_encoder.c \
	../src/liblzma/lzma/lzma_decoder.c \
	../src/liblzma/lzma/lzma_encoder.c \
	../src/liblzma/lzma/lzma_encoder_optimum_fast.c \
	../src/liblzma/lzma/lzma_encoder_optimum_normal.c \
	../src/liblzma/lzma/lzma_encoder_presets.c \
	../src/liblzma/rangecoder/price_table.c \
	../src/liblzma/simple/arm.c \
	../src/liblzma/simple/armthumb.c \
	../src/liblzma/simple/ia64.c \
	../src/liblzma/simple/powerpc.c \
	../src/liblzma/simple/simple_coder.c \
	../src/liblzma/simple/simple_decoder.c \
	../src/liblzma/simple/simple_encoder.c \
	../src/liblzma/simple/sparc.c \
	../src/liblzma/simple/x86.c \
	../src/xz/args.c \
	../src/xz/coder.c \
	../src/xz/file_io.c \
	../src/xz/hardware.c \
	../src/xz/list.c \
	../src/xz/main.c \
	../src/xz/message.c \
	../src/xz/options.c \
	../src/xz/signals.c \
	../src/xz/suffix.c \
	../src/xz/util.c
SRCS_ASM = \
	../src/liblzma/check/crc32_x86.S \
	../src/liblzma/check/crc64_x86.S

OBJS_C = $(SRCS_C:.c=.o)
OBJS_ASM = $(SRCS_ASM:.S=.o)
OBJS = $(OBJS_C) $(OBJS_ASM)

getopt.h:
	update ../lib/getopt.in.h getopt.h

$(OBJS): getopt.h

$(OBJS_C): %.o: %.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c -o $@ $<

$(OBJS_ASM): %.o: %.S
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c -o $@ $<

# Make xz.exe not depend on an external DPMI server.
xz.exe: $(OBJS)
	$(CC) $(ALL_CFLAGS) $(OBJS) $(LDFLAGS) -o $@
	$(STRIP) --strip-all $@
	exe2coff $@
	del $@
	copy /b $(DJGPP:DJGPP.ENV=BIN\CWSDSTUB.EXE) + $(@:.exe=) $@
	del $(@:.exe=)

=== estimate/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_estimate
CFILES = xfs_estimate.c

default: depend $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
install-dev:

-include .dep

=== fail-mbr/Makefile ===
PREFIX=         ${prefix}
INSTPREFIX=     ${DESTDIR}${PREFIX}
ifeq ($(INSTPREFIX),)
	INSTPREFIX=/usr/local
endif
INSTLIBDIR=     ${INSTPREFIX}/share/partclone
INSTALL=        install


all: fail-mbr.bin

clean:
	rm -f *~ *.o *.image *.bin *.hex*

distclean: clean

compare: fail-mbr.bin
	hd fail-mbr.bin > fail-mbr.hex
	hd fail-mbr.bin.orig > fail-mbr.hex.orig
	diff fail-mbr.hex.orig fail-mbr.hex || true

%.o: %.S
	$(CC) -Wall -Werror -m32 -nostdlib -o $@ $<

fail-mbr.image: fail-mbr.o
	$(CC) -Os -Wall -W -Wshadow -Wpointer-arith -Wmissing-prototypes -Wundef -Wstrict-prototypes -g -falign-jumps=1 -falign-loops=1 -falign-functions=1 -mno-mmx -mno-sse -mno-sse2 -mno-3dnow -fno-dwarf2-cfi-asm -fno-asynchronous-unwind-tables -m32 -fno-stack-protector -mno-stack-arg-probe -Werror -Wno-trampolines -DUSE_ASCII_FAILBACK=1 -DHAVE_UNIFONT_WIDTHSPEC=1  -mrtd -mregparm=3       -fno-builtin   -m32 -Wl,--build-id=none   -nostdlib -Wl,-N,-S -Wl,-N -Wl,-Ttext,0x7C00   -o $@ $<

fail-mbr.bin: fail-mbr.image
	objcopy  -O binary  --strip-unneeded -R .note -R .comment -R .note.gnu.build-id -R .reginfo -R .rel.dyn $< $@

install: fail-mbr.bin
	-mkdir -p $(INSTLIBDIR)
	$(INSTALL) fail-mbr.bin $(INSTLIBDIR)
	
uninstall:
	rm -f  $(INSTLIBDIR)/fail-mbr.bin
	rm -d  $(INSTLIBDIR)

check:
#check: compare

#.PHONY: all compare install
.PHONY: all install

=== filter/Makefile ===
#
# "$Id: Makefile 10996 2013-05-29 11:51:34Z msweet $"
#
#   Filter makefile for CUPS.
#
#   Copyright 2007-2012 by Apple Inc.
#   Copyright 1997-2006 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#
#   This file is subject to the Apple OS-Developed Software exception.
#

include ../Makedefs


FILTERS	=	\
		commandtops \
		gziptoany \
		pstops \
		rastertoepson \
		rastertohp \
		rastertolabel \
		rastertopwg
LIBTARGETS =	\
		$(LIBCUPSIMAGE) \
		libcupsimage.a
UNITTARGETS =	\
		rasterbench \
		testraster
TARGETS	=	\
		$(LIBTARGETS) \
		$(FILTERS)

IMAGEOBJS =	error.o interpret.o raster.o
OBJS	=	$(IMAGEOBJS) \
		commandtops.o gziptoany.o common.o pstops.o \
		rasterbench.o rastertoepson.o rastertohp.o rastertolabel.o \
		rastertopwg.o testraster.o


#
# Make all targets...
#

all:	$(TARGETS)


#
# Make library targets...
#

libs:		$(LIBTARGETS)


#
# Make unit tests...
#

unittests:	$(UNITTARGETS)


#
# Clean all object files...
#

clean:
	$(RM) $(OBJS) $(TARGETS) $(UNITTARGETS)
	$(RM) libcupsimage.so libcupsimage.sl libcupsimage.dylib


#
# Update dependencies (without system header dependencies...)
#

depend:
	$(CC) -MM $(ALL_CFLAGS) $(OBJS:.o=.c) >Dependencies


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:


#
# Install programs...
#

install-exec:
	$(INSTALL_DIR) -m 755 $(SERVERBIN)/filter
	for file in $(FILTERS); do \
		$(INSTALL_BIN) $$file $(SERVERBIN)/filter; \
	done
	$(RM) $(SERVERBIN)/filter/rastertodymo
	$(LN) rastertolabel $(SERVERBIN)/filter/rastertodymo
	if test "x$(SYMROOT)" != "x"; then \
		$(INSTALL_DIR) $(SYMROOT); \
		for file in $(FILTERS); do \
			cp $$file $(SYMROOT); \
			dsymutil $(SYMROOT)/$$file; \
		done \
	fi


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs: $(INSTALLSTATIC)
	$(INSTALL_DIR) -m 755 $(LIBDIR)
	$(INSTALL_LIB) $(LIBCUPSIMAGE) $(LIBDIR)
	-if test $(LIBCUPSIMAGE) = "libcupsimage.so.2" -o $(LIBCUPSIMAGE) = "libcupsimage.sl.2"; then \
		$(RM) $(LIBDIR)/`basename $(LIBCUPSIMAGE) .2`; \
		$(LN) $(LIBCUPSIMAGE) $(LIBDIR)/`basename $(LIBCUPSIMAGE) .2`; \
	fi
	-if test $(LIBCUPSIMAGE) = "libcupsimage.2.dylib"; then \
		$(RM) $(LIBDIR)/libcupsimage.dylib; \
		$(LN) $(LIBCUPSIMAGE) $(LIBDIR)/libcupsimage.dylib; \
	fi
	if test "x$(SYMROOT)" != "x"; then \
		$(INSTALL_DIR) $(SYMROOT); \
		cp $(LIBCUPSIMAGE) $(SYMROOT); \
		dsymutil $(SYMROOT)/$(LIBCUPSIMAGE); \
	fi

installstatic:
	$(INSTALL_DIR) -m 755 $(LIBDIR)
	$(INSTALL_LIB) -m 755 libcupsimage.a $(LIBDIR)
	$(RANLIB) $(LIBDIR)/libcupsimage.a
	$(CHMOD) 555 $(LIBDIR)/libcupsimage.a


#
# Uninstall all targets...
#

uninstall:
	for file in $(FILTERS); do \
		$(RM) $(SERVERBIN)/filter/$$file; \
	done
	$(RM) $(SERVERBIN)/filter/rastertodymo
	-$(RMDIR) $(SERVERBIN)/filter
	-$(RMDIR) $(SERVERBIN)
	$(RM) $(LIBDIR)/libcupsimage.2.dylib
	$(RM) $(LIBDIR)/libcupsimage.a
	$(RM) $(LIBDIR)/libcupsimage.dylib
	$(RM) $(LIBDIR)/libcupsimage_s.a
	$(RM) $(LIBDIR)/libcupsimage.sl
	$(RM) $(LIBDIR)/libcupsimage.sl.2
	$(RM) $(LIBDIR)/libcupsimage.so
	$(RM) $(LIBDIR)/libcupsimage.so.2
	-$(RMDIR) $(LIBDIR)


#
# Automatic API help files...
#

apihelp:
	echo Generating CUPS API help files...
	mxmldoc --section "Programming" --title "Raster API" \
		--css ../doc/cups-printable.css \
		--header api-raster.header --intro api-raster.shtml \
		api-raster.xml \
		../cups/raster.h interpret.c raster.c \
		>../doc/help/api-raster.html
	mxmldoc --tokens help/api-raster.html api-raster.xml >../doc/help/api-raster.tokens
	$(RM) api-raster.xml
	mxmldoc --section "Programming" \
		--title "Developing PostScript Printer Drivers" \
		--css ../doc/cups-printable.css \
		--header postscript-driver.header \
		--intro postscript-driver.shtml \
		>../doc/help/postscript-driver.html
	mxmldoc --section "Programming" \
		--title "Introduction to the PPD Compiler" \
		--css ../doc/cups-printable.css \
		--header ppd-compiler.header \
		--intro ppd-compiler.shtml \
		>../doc/help/ppd-compiler.html
	mxmldoc --section "Programming" \
		--title "Developing Raster Printer Drivers" \
		--css ../doc/cups-printable.css \
		--header raster-driver.header \
		--intro raster-driver.shtml \
		>../doc/help/raster-driver.html
	mxmldoc --section "Specifications" \
		--title "CUPS PPD Extensions" \
		--css ../doc/cups-printable.css \
		--header spec-ppd.header \
		--intro spec-ppd.shtml \
		>../doc/help/spec-ppd.html

framedhelp:
	echo Generating CUPS API help files...
	mxmldoc --section "Programming" --title "Raster API" \
		--framed ../cups/api-raster \
		--css ../doc/cups-printable.css \
		--header api-raster.header --intro api-raster.shtml \
		../cups/raster.h interpret.c raster.c
	mxmldoc --section "Programming" \
		--title "Developing PostScript Printer Drivers" \
		--framed ../cups/postscript-driver \
		--css ../doc/cups-printable.css \
		--header postscript-driver.header \
		--intro postscript-driver.shtml
	mxmldoc --section "Programming" \
		--title "Introduction to the PPD Compiler" \
		--framed ../cups/ppd-compiler \
		--css ../doc/cups-printable.css \
		--header ppd-compiler.header \
		--intro ppd-compiler.shtml
	mxmldoc --section "Programming" \
		--title "Developing Raster Printer Drivers" \
		--framed ../cups/raster-driver \
		--css ../doc/cups-printable.css \
		--header raster-driver.header \
		--intro raster-driver.shtml
	mxmldoc --section "Specifications" \
		--title "CUPS PPD Extensions" \
		--framed ../cups/spec-ppd \
		--css ../doc/cups-printable.css \
		--header spec-ppd.header \
		--intro spec-ppd.shtml \


#
# commandtops
#

commandtops:	commandtops.o ../cups/$(LIBCUPS)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ commandtops.o $(LIBS)


#
# gziptoany
#

gziptoany:	gziptoany.o ../Makedefs ../cups/$(LIBCUPS)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ gziptoany.o $(LIBZ) $(LIBS)


#
# libcupsimage.so.2, libcupsimage.sl.2
#

libcupsimage.so.2 libcupsimage.sl.2:	$(IMAGEOBJS)
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(DSOFLAGS) -o $@ $(IMAGEOBJS) $(DSOLIBS) \
		-L../cups $(LINKCUPS)
	$(RM) `basename $@ .2`
	$(LN) $@ `basename $@ .2`


#
# libcupsimage.2.dylib
#

libcupsimage.2.dylib:	$(IMAGEOBJS) $(LIBCUPSIMAGEORDER)
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(DSOFLAGS) -o $@ \
		-install_name $(libdir)/$@ \
		-current_version 2.3.0 \
		-compatibility_version 2.0.0 \
		$(IMAGEOBJS) $(DSOLIBS) -L../cups $(LINKCUPS)
	$(RM) libcupsimage.dylib
	$(LN) $@ libcupsimage.dylib


#
# libcupsimage_s.a
#

libcupsimage_s.a:	$(IMAGEOBJS) libcupsimage_s.exp
	echo Linking $@...
	$(DSO) $(DSOFLAGS) -Wl,-berok,-bexport:libcupsimage_s.exp \
		-o libcupsimage_s.o $(IMAGEOBJS) $(DSOLIBS)
	$(RM) $@
	$(AR) $(ARFLAGS) $@ libcupsimage_s.o


#
# libcupsimage.la
#

libcupsimage.la:       $(IMAGEOBJS)
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(DSOFLAGS) -o $@ $(IMAGEOBJS:.o=.lo) $(DSOLIBS) \
		-L../cups $(LINKCUPS) \
		-rpath $(LIBDIR) -version-info 2:3


#
# libcupsimage.a
#

libcupsimage.a:	$(IMAGEOBJS)
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(IMAGEOBJS)
	$(RANLIB) $@


#
# pstops
#

pstops:	pstops.o common.o ../cups/$(LIBCUPS)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ pstops.o common.o $(LIBS)


#
# rastertoepson
#

rastertoepson:	rastertoepson.o ../cups/$(LIBCUPS) $(LIBCUPSIMAGE)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ rastertoepson.o $(LINKCUPSIMAGE) $(IMGLIBS) $(LIBS)


#
# rastertohp
#

rastertohp:	rastertohp.o ../cups/$(LIBCUPS) $(LIBCUPSIMAGE)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ rastertohp.o $(LINKCUPSIMAGE) $(IMGLIBS) $(LIBS)


#
# rastertolabel
#

rastertolabel:	rastertolabel.o ../cups/$(LIBCUPS) $(LIBCUPSIMAGE)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ rastertolabel.o $(LINKCUPSIMAGE) $(IMGLIBS) $(LIBS)


#
# rastertopwg
#

rastertopwg:	rastertopwg.o ../cups/$(LIBCUPS) $(LIBCUPSIMAGE)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ rastertopwg.o $(LINKCUPSIMAGE) $(IMGLIBS) $(LIBS)


#
# testraster
#

testraster:	testraster.o ../cups/$(LIBCUPSSTATIC) libcupsimage.a
	echo Linking $@...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o $@ testraster.o libcupsimage.a \
		../cups/$(LIBCUPSSTATIC) $(IMGLIBS) $(DSOLIBS) $(COMMONLIBS) \
		$(SSLLIBS) $(DNSSDLIBS) $(LIBGSSAPI)
	echo Running raster API tests...
	./testraster


#
# rasterbench
#

rasterbench:	rasterbench.o libcupsimage.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ rasterbench.o libcupsimage.a $(LIBS)


#
# Dependencies...
#

include Dependencies


#
# End of "$Id: Makefile 10996 2013-05-29 11:51:34Z msweet $".
#

=== fsck/Makefile ===
#
# Copyright (c) 2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = xfs_fsck.sh

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_ROOT_SBIN_DIR)
	$(INSTALL) -m 755 xfs_fsck.sh $(PKG_ROOT_SBIN_DIR)/fsck.xfs
install-dev:

=== harness/Makefile ===
# foo.
TEST_SRCS:=$(shell find cases/ -name \*.t | sort -n -t/ -k2)
EXTRAPROGS:=cases/8.p cases/10.p
PARTPROGS:=$(filter-out $(EXTRAPROGS), $(patsubst %.t,%.p,$(TEST_SRCS)))
PROGS:=$(PARTPROGS) $(EXTRAPROGS)
HARNESS_SRCS:=main.c
# io_queue.c

CFLAGS=-Wall -Werror -I../src -g -O
#-lpthread -lrt

all: $(PROGS)

$(PROGS): %.p: %.t $(HARNESS_SRCS)
	$(CC) $(CFLAGS) -DTEST_NAME=\"$<\" -o $@ main.c ../src/libaio.a

clean:
	rm -f $(PROGS) *.o runtests.out rofile wofile rwfile

.PHONY:

testdir/rofile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 400 $@

testdir/wofile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 200 $@

testdir/rwfile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 600 $@

testdir testdir.enospc testdir.ext2:
	mkdir $@

root: .PHONY
	@if [ `id -u` -ne 0 ]; then echo Need root for check, try partcheck >&2; exit 1; fi

partcheck: $(PARTPROGS) testdir/rofile testdir/rwfile testdir/wofile
	./runtests.sh $(PARTPROGS)

ext2.img:
	dd if=/dev/zero bs=1M count=10 of=$@
	mke2fs -F -b 4096 $@

extracheck: $(EXTRAPROGS) root testdir.ext2 testdir.enospc ext2.img
	mount -o loop -t ext2 ext2-enospc.img testdir.enospc
	./runtests.sh cases/10.p; ret=$$?; umount testdir.enospc; exit $$ret
	mount -o loop -t ext2 ext2.img testdir.ext2
	./runtests.sh cases/8.p; ret=$$?; umount testdir.ext2; exit $$ret

check: partcheck extracheck

=== io/Makefile ===
#
# Copyright (c) 2000-2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_io
LSRCFILES = xfs_bmap.sh xfs_freeze.sh xfs_mkfile.sh
HFILES = init.h io.h
CFILES = init.c \
	attr.c bmap.c file.c freeze.c fsync.c getrusage.c imap.c mmap.c \
	open.c parent.c pread.c prealloc.c pwrite.c shutdown.c truncate.c

LLDLIBS = $(LIBXCMD) $(LIBHANDLE)
LTDEPENDENCIES = $(LIBXCMD) $(LIBHANDLE)
LLDFLAGS = -static

ifeq ($(HAVE_FADVISE),yes)
CFILES += fadvise.c
LCFLAGS += -DHAVE_FADVISE
else
LSRCFILES += fadvise.c
endif

ifeq ($(HAVE_MADVISE),yes)
CFILES += madvise.c
LCFLAGS += -DHAVE_MADVISE
else
LSRCFILES += madvise.c
endif

ifeq ($(HAVE_MINCORE),yes)
CFILES += mincore.c
LCFLAGS += -DHAVE_MINCORE
else
LSRCFILES += mincore.c
endif

ifeq ($(HAVE_SENDFILE),yes)
CFILES += sendfile.c
LCFLAGS += -DHAVE_SENDFILE
else
LSRCFILES += sendfile.c
endif

ifeq ($(HAVE_FIEMAP),yes)
CFILES += fiemap.c
LCFLAGS += -DHAVE_FIEMAP
else
LSRCFILES += fiemap.c
endif

ifeq ($(PKG_PLATFORM),irix)
LSRCFILES += inject.c resblks.c
else
CFILES += inject.c resblks.c
LCFLAGS += -DHAVE_INJECT -DHAVE_RESBLKS
endif

ifeq ($(HAVE_SYNC_FILE_RANGE),yes)
CFILES += sync_file_range.c
LCFLAGS += -DHAVE_SYNC_FILE_RANGE
endif

ifeq ($(ENABLE_READLINE),yes)
LLDLIBS += $(LIBREADLINE) $(LIBTERMCAP)
endif

ifeq ($(ENABLE_EDITLINE),yes)
LLDLIBS += $(LIBEDITLINE) $(LIBTERMCAP)
endif

ifeq ($(HAVE_FALLOCATE),yes)
LCFLAGS += -DHAVE_FALLOCATE
endif

# Also implies PWRITEV
ifeq ($(HAVE_PREADV),yes)
LCFLAGS += -DHAVE_PREADV -DHAVE_PWRITEV
endif

default: depend $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 xfs_bmap.sh $(PKG_SBIN_DIR)/xfs_bmap
	$(LTINSTALL) -m 755 xfs_freeze.sh $(PKG_SBIN_DIR)/xfs_freeze
	$(LTINSTALL) -m 755 xfs_mkfile.sh $(PKG_SBIN_DIR)/xfs_mkfile
install-dev:

-include .dep

=== changelog ===
eglibc (2.19-0ubuntu6.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Directory traversal in locale environment handling
    - debian/patches/any/CVE-2014-0475.diff: validate locale names in
      locale/findlocale.c, locale/setlocale.c, added test to
      localedata/tst-setlocale3.c, localedata/Makefile.
    - CVE-2014-0475
  * SECURITY UPDATE: use-after-free via posix_spawn_file_actions_addopen
    failing to copy the path argument
    - debian/patches/any/CVE-2014-4043.diff: properly copy path in
      posix/spawn_faction_addopen.c, posix/spawn_faction_destroy.c,
      posix/spawn_int.h, added test to posix/tst-spawn.c.
    - CVE-2014-4043

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 28 Jul 2014 12:59:23 -0400

eglibc (2.19-0ubuntu6) trusty; urgency=medium

  * debian/patches/arm64/submitted-setcontext.diff: Update to new version
    of Will's setcontext patch to fix sigmask handling bug (LP: #1306829)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 12 Apr 2014 01:47:43 -0600

eglibc (2.19-0ubuntu5) trusty; urgency=medium

  * Merge with unreleased 2.19 from Debian experimental, fixing more bugs:
    - Pull in arm64 patches to fix setcontext corruption (LP: #1279620)
    - Apply the IBM 2.19 branch for POWER8 bug fixes and optimizations.
    - Change M_CHECK_ACTION to abort if first MALLOC_CHECK_ bit is set.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 09 Apr 2014 18:27:57 -0600

eglibc (2.19-0ubuntu4) trusty; urgency=low

  * debian/debhelper.in/libc.preinst:
    - do not show glibc/restart-services question when the system
      is uprading via the desktop session (LP: #1298281)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 09 Apr 2014 11:33:31 +0200

eglibc (2.19-0ubuntu3) trusty; urgency=medium

  * Merge with unreleased 2.19 from Debian experimental, fixing more bugs:
    - Fix bzero/__bzero definition on powerpc/ppc64 with static builds.
    - Enable IFUNC on arm64 builds, now that the toolchain supports it.
    - Revert removal of the XDR currency for installation-locale FTBFS.
    - Pull update from 2.19 branch, fixing bad math in __sin and __cos.
  * debian/sysdeps/{i386,amd64}.mk: Build i386 flavours with -fno-regmove,
    this can be reverted when gcc-4.9 becomes the default distro compiler.
  * debian/*: Drop the redundant libc6-xen packages on i386 (LP: #1271534)

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 09 Mar 2014 12:21:48 -0600

eglibc (2.19-0ubuntu2) trusty; urgency=medium

  * Merge with unreleased 2.19 from Debian experimental, fixing some bugs:
    - debian/patches/any/local-no-malloc-backtrace.diff: Lower the default
      for MALLOC_CHECK_ to 1, and add it to the list of insecure variables
      that can't be set for suid binaries. This allows us to not backtrace
      malloc failures by default (Closes: #739913, LP: #1266492) and skips
      backtrace for suid binaries where an attacker calling into a corrupt
      malloc internal data structure with malloc could lead to Bad Things.
    - Make ldconfig stop operating on the linker entirely, so our packaged
      symlinks take precedence and hack the postinst to skip ldconfig when
      we detect a broken setup that the old ldconfig mangles (LP: #915995)

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 23 Feb 2014 22:39:18 -0700

eglibc (2.19-0ubuntu1) trusty; urgency=medium

  * Merge with unreleased 2.19 from Debian experimental, remaining changes:
    - Drop the Breaks line from libc6, which refers to a Debian transition
    - Remove the libc6 recommends on libc6-i686, which we don't build
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel
    - Ship update-locale and validlocale in /usr/sbin in libc-bin
    - Don't build locales or locales-all in Ubuntu, we rely on langpacks
    - Heavily mangle the way we do service restarting on major upgrades
    - Use different MIN_KERNEL_SUPPORTED versions than Debian, due to
      buildd needs.  This should be universally bumped to 2.6.32 once all
      our buildds (including the PPA guests) are running precise kernels
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize
    - debian/patches/ubuntu/local-CVE-2012-3406.diff: switch to malloc when
      array grows too large to handle via alloca extension (CVE-2012-3406)
    - Build generic i386/i686 flavour with -mno-tls-direct-seg-refs
  * debian/patches/series.ppc64el: Drop ppc64el patches included upstream.
  * debian/patches/ubuntu/delete-header-pot.diff: Removed, fixed upstream.
  * expected-results-aarch64-linux-gnu-libc: Ignore two new arm64 failures
    for now, so we can get glibc built and test other packages against it.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 15 Feb 2014 19:56:22 -0700

eglibc (2.19-0experimental0) UNRELEASED; urgency=medium

  [ Adam Conrad ]
  * New upstream release: version 2.19, orig tarball built at SVN r25252:
    - debian/patches/alpha/local-string-functions.diff: Rebased.
    - debian/patches/any/local-disable-test-tgmath2.diff: Rebased.
    - debian/patches/any/local-localedef-fix-trampoline.diff: Rebased.
    - debian/patches/any/local-no-malloc-backtrace.diff: Rebased.
    - debian/patches/any/submitted-longdouble.diff: Rebased.
    - debian/patches/hurd-i386/local-enable-ldconfig.diff: Rebased.
    - debian/patches/kfreebsd/local-fbtl-depends.diff: Rebased.
    - debian/patches/kfreebsd/local-scripts.diff: Rebased.
    - debian/patches/locale/preprocessor-collate-uli-sucks.diff: Rebased.
    - debian/patches/localedata/fix-lang.diff: Rebased.
    - debian/patches/localedata/locale-en_DK.diff: Rebased.
    - debian/patches/localedata/locale-hsb_DE.diff: Rebased.
    - debian/patches/localedata/locale-ku_TR.diff: Rebased.
    - debian/patches/localedata/locales-fr.diff: Rebased.
    - debian/patches/localedata/sort-UTF8-first.diff: Rebased.
    - debian/patches/powerpc/local-math-logb.diff: Rebased.


=== debian/changelog ===
dpkg (1.17.5ubuntu5.3) trusty-security; urgency=medium

  * SECURITY UPDATE: arbitrary file modification via dpkg-source
    - scripts/Dpkg/Source/Patch.pm: Use a better regex for patch header
      parsing
    - 5348cbc981a65c3c9b05bb4d13553bda930c2d78
    - CVE-2014-3864
    - CVE-2014-3865

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Jun 2014 12:34:57 -0400

dpkg (1.17.5ubuntu5.2) trusty-security; urgency=medium

  * SECURITY UPDATE: directory traversal in dpkg-source
    - scripts/Dpkg/Source/Patch.pm: outright reject C-style filenames in
      patches
    - a12eb58959d0a10584a428f4a3103a49204c410f
    - CVE-2014-0471

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 May 2014 07:59:19 -0400

dpkg (1.17.5ubuntu5.1) trusty-security; urgency=medium

  * SECURITY UPDATE: directory traversal in dpkg-source
    - scripts/Dpkg/Source/Patch.pm: correctly parse C-style diff
      filenames.
    - Patch thanks to Guillem Jover <guillem@debian.org>
    - CVE-2014-0471

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Apr 2014 19:46:35 -0400

dpkg (1.17.5ubuntu5) trusty; urgency=medium

  * Allow -fstack-protector on arm64 now that GCC and glibc support it.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Mar 2014 18:47:57 +0800

dpkg (1.17.5ubuntu4) trusty; urgency=medium

  * Update the ppc64 buildflags vendor overrides for ppc64el instead, and
    make the implementation respect DEB_BUILD_OPTIONS=noopt (LP: #1279128)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Feb 2014 18:49:27 -0700

dpkg (1.17.5ubuntu3) trusty; urgency=medium

  * Change native source version/format mismatch errors into warnings until
    the dust settles on Debian bug 737634 about revert or override options.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 05 Feb 2014 07:26:29 -0700

dpkg (1.17.5ubuntu2) trusty; urgency=medium

  * Backport patch from 1.17.6 to fix file descriptor leaks (LP: #1270132)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Jan 2014 11:01:47 -0700

dpkg (1.17.5ubuntu1) trusty; urgency=medium

  * Merge from Debian testing.  Remaining changes:
    - Change the multiarch downgrade version checks in prerm/postrm
      from 1.16.2 to 1.16.0~ to reflect when multiarch landed in Ubuntu.
    - Migrate dpkg multiarch conffile (and other multi-arch-related
      conf settings) to the new DB with dpkg --add-architecture, but
      keep a copy of the old conffile if it was modified.
    - Out of paranoia, keep an option handler for foreign-architecture
      that informs people that they need to scrub their config files
      and upgrade, on the off chance that the above migration fails
      for some reason (this mitigates the chances of leaving users with
      a dpkg that fails to run due to a broken config).
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.  This is useful for tools
      that hide the dpkg terminal by default and use apport for bug
      reporting with the untranslated error message.
    - Apply patch from Steve McIntyre to special-case armhf/armel ELF
      objects in Shlibs/Objdump.pm, so we don't get incorrect deps.
    - lib/dpkg/pkg-spec.c: map unqualified package names of multiarch-same
      packages to the native arch instead of throwing an error, so that we
      don't break on upgrade when there are unqualified names stored in
      dpkg's own trigger database.
    - Add logic to the postinst to `dpkg --add-architecture i386' on new
      installs on amd64, and to also do so on upgrades from pre-conffile
      Ubuntu versions, mimicking our previous behaviour with the conffile.
    - Apply a workaround from mvo to consider RC packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
 
 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Jan 2014 16:41:23 -0700

dpkg (1.17.5) unstable; urgency=low

  [ Guillem Jover ]
  * Switch non-tty output to be line buffered by default, and set it to fully
    buffered only for programs with precious and abundant output, not just
    progress reporting output (i.e. dpkg-query). This was causing out-of-order
    error and debug messages in relation to normal progress reporting, which
    could be very confusing. Regression introduced in dpkg 1.17.2.
  * Fix segfault in update-alternatives when adding or renaming slaves for
    an existing alternative. Regression introduced in dpkg 1.17.2.
    Closes: #731710
  * Fix dpkg-maintscript-helper symlink_to_dir and dir_to_symlink commands:
    - Always run postinst code regardless of prior-version, as the package
      might have been never configured before.
    - Be more strict when checking the expected state of paths.
    - Rename subcommand shell code to check-files-ownership.
    - Change dir_to_symlink switch code to use a staging empty directory,
      to avoid dpkg removing files from other packages, when removing the
      package old files during upgrade.
    - Bump minimal version in man page to 1.17.5.
    Closes: #731730
  * Mention gpg2 too as one of the default sign commands in dpkg-buildpackage.

  [ Updated dpkg translations ]
  * German (Sven Joachim).

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated manpages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Thu, 12 Dec 2013 08:29:45 +0100

dpkg (1.17.4) unstable; urgency=low

  * Keep the diversions and statoverride database files open during dpkg
    runs, to avoid eager inode number reuse by the filesystem if these files
    get replaced multiple times in maintainer scripts, as we rely on the
    inode numbers being different when checking if the databases need to
    be reloaded. Regression introduced in 1.17.2. Closes: #731524
  * Add debug output to diversions and statoverride database loading code.


=== control ===
Source: grub2
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Uploaders: Robert Millan <rmh@debian.org>, Felix Zielcke <fzielcke@z-51.de>, Jordi Mallach <jordi@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.4.2~),
 dpkg-dev (>= 1.15.1~),
 patchutils,
 dh-autoreconf,
 automake (>= 1.10.1),
 python,
 flex (>= 2.5.35),
 bison,
 po-debconf,
 help2man,
 texinfo,
 gcc-4.7-multilib [i386 kopensolaris-i386 any-amd64 any-ppc64 any-sparc],
 gcc-4.7 [!any-ppc64el],
 gcc-4.8-powerpc-linux-gnu [any-ppc64el],
 gcc-4.8 [any-ppc64el],
 libc6-dev-powerpc-cross [any-ppc64el],
 xfonts-unifont,
 libfreetype6-dev,
 gettext,
 libusb-dev [!hurd-any],
 libdevmapper-dev (>= 2:1.02.34) [linux-any],
 libgeom-dev (>= 8.2+ds1-1) [kfreebsd-any] | libgeom-dev (<< 8.2) [kfreebsd-any],
 libsdl1.2-dev [!hurd-any],
 xorriso (>= 0.5.6.pl00),
 qemu-system [i386 kfreebsd-i386 kopensolaris-i386 any-amd64],
 cpio [i386 kopensolaris-i386 amd64],
 parted [!hurd-any],
 libfuse-dev (>= 2.8.4-1.4) [linux-any kfreebsd-any],
 ttf-dejavu-core,
 liblzma-dev,
 dosfstools [amd64],
 mtools [amd64],
 wamerican,
 libxen-dev [i386 amd64],
Build-Conflicts: autoconf2.13, libzfs-dev, libnvpair-dev
Standards-Version: 3.8.4
Homepage: http://www.gnu.org/software/grub/
Vcs-Git: git://anonscm.debian.org/pkg-grub/grub.git -b experimental
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grub/grub.git;a=shortlog;h=refs/heads/experimental

Package: grub2
Section: oldlibs
Architecture: any-i386 any-amd64 any-powerpc any-ppc64 any-ppc64el any-sparc
Depends: grub-pc (= ${binary:Version}) [any-i386 any-amd64] | grub-ieee1275 (= ${binary:Version}) [any-powerpc any-ppc64 any-ppc64el any-sparc], ${misc:Depends}
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy transitional package to handle GRUB 2 upgrades.  It can be
 safely removed.

Package: grub-linuxbios
Section: oldlibs
Architecture: any-i386 any-amd64
Depends: grub-coreboot (= ${binary:Version}), ${misc:Depends}
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy transitional package that depends on grub-coreboot.

Package: grub-efi
Section: oldlibs
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}, grub-efi-ia32 (= ${binary:Version}) [any-i386], grub-efi-amd64 (= ${binary:Version}) [any-amd64]
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy transitional package that depends on either grub-efi-ia32 or
 grub-efi-amd64, depending on the architecture.


Package: grub-common
Priority: optional
Architecture: any-i386 any-amd64 any-powerpc any-ppc64 any-ppc64el any-sparc any-mipsel any-ia64 any-arm any-arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, gettext-base, ${lsb-base-depends}
Replaces: grub-pc (<< 2.00-4), grub-ieee1275 (<< 2.00-4), grub-efi (<< 1.99-1), grub-coreboot (<< 2.00-4), grub-linuxbios (<< 1.96+20080831-1), grub-efi-ia32 (<< 2.00-4), grub-efi-amd64 (<< 2.00-4), grub-efi-ia64 (<< 2.00-4), grub-yeeloong (<< 2.00-4)
Recommends: os-prober (>= 1.33)
Suggests: multiboot-doc, grub-emu, xorriso (>= 0.5.6.pl00), desktop-base (>= 4.0.6), console-setup
# See bugs #435983 and #455746
Conflicts: mdadm (<< 2.6.7-2)
Breaks: lupin-support (<< 0.55), friendly-recovery (<< 0.2.13), apport (<< 2.1.1)
Multi-Arch: foreign
Description: GRand Unified Bootloader (common files)
 This package contains common files shared by the distinct flavours of GRUB.
 It is shared between GRUB Legacy and GRUB 2, although a number of files
 specific to GRUB 2 are here as long as they do not break GRUB Legacy.

Package: grub2-common
Priority: optional
Architecture: any-i386 any-amd64 any-powerpc any-ppc64 any-ppc64el any-sparc any-mipsel any-ia64 any-arm any-arm64
Depends: grub-common (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Replaces: grub, grub-legacy, grub-common (<< 1.99-1), grub-pc (<< 2.00-4), grub-ieee1275 (<< 2.00-4), grub-efi (<< 1.99-1), grub-coreboot (<< 2.00-4), grub-linuxbios (<< 1.99-1), grub-efi-ia32 (<< 2.00-4), grub-efi-amd64 (<< 2.00-4), grub-efi-ia64 (<< 2.00-4), grub-ieee1275 (<< 2.00-4), grub-yeeloong (<< 2.00-4)
Conflicts: grub (<< 0.97-54), grub-legacy, ${legacy-doc-conflicts}
Multi-Arch: foreign
Description: GRand Unified Bootloader (common files for version 2)
 This package contains common files shared by the distinct flavours of GRUB.
 The files in this package are specific to GRUB 2, and would break GRUB
 Legacy if installed on the same system.

Package: grub-emu
Architecture: any-i386 any-amd64 any-powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version})
Replaces: grub-common (<= 1.97~beta3-1)
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (emulated version)
 This package contains grub-emu, an emulated version of GRUB.  It is only
 provided for debugging purposes.

Package: grub-emu-dbg
Section: debug
Architecture: any-i386 any-amd64 any-powerpc
Depends: ${misc:Depends}, grub-emu (= ${binary:Version}), grub-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (emulated debug files)
 This package contains debugging files for grub-emu.  You only need these if
 you are trying to debug GRUB using its GDB stub.

Package: grub-pc-bin
Priority: optional
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version})
Replaces: grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-pc (<< 1.99-1)
Suggests: desktop-base (>= 4.0.6)
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
  - VESA-based graphical mode with background image support and complete 24-bit
    color set.
  - Support for extended charsets.  Users can write UTF-8 text to their menu
    entries.
 .
 This package contains a version of GRUB that has been built for use with
 traditional PC/BIOS architecture.  It will not automatically install GRUB
 as the active boot loader, nor will it automatically update grub.cfg on
 upgrade, so most people should install grub-pc instead.

Package: grub-pc-dbg
Section: debug
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}, grub-pc-bin (= ${binary:Version}), grub-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (PC/BIOS debug files)
 This package contains debugging files for grub-pc-bin.  You only need these
 if you are trying to debug GRUB using its GDB stub.

Package: grub-pc
Priority: optional
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version}), grub-pc-bin (= ${binary:Version}), ucf, freebsd-utils (>= 8.0-4) [kfreebsd-any], ${gfxpayload-depends}
Replaces: grub, grub-legacy, grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-efi-amd64, grub-efi-ia32, grub-coreboot, grub-ieee1275
Conflicts: grub (<< 0.97-54), grub-legacy, grub-efi-amd64, grub-efi-ia32, grub-coreboot, grub-ieee1275, grub-xen
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (PC/BIOS version)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
  - VESA-based graphical mode with background image support and complete 24-bit
    color set.
  - Support for extended charsets.  Users can write UTF-8 text to their menu
    entries.
 .
 This package contains a version of GRUB that has been built for use with
 traditional PC/BIOS architecture.

Package: grub-rescue-pc
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: GRUB bootable rescue images, version 2 (PC/BIOS version)
 This package contains three GRUB rescue images that have been built for use
 with the traditional PC/BIOS architecture:
 .
  - grub-rescue-floppy.img: floppy image.
  - grub-rescue-cdrom.iso: El Torito CDROM image.
  - grub-rescue-usb.img: USB image.

Package: grub-coreboot-bin
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version})
Replaces: grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-linuxbios, grub-coreboot (<< 1.99-1)
Conflicts: grub-linuxbios (<< ${source:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (Coreboot binaries)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This package contains a version of GRUB that has been built for use with
 platforms running the Coreboot firmware.  It will not automatically install
 GRUB as the active boot loader, nor will it automatically update grub.cfg
 on upgrade, so most people should install grub-coreboot instead.

Package: grub-coreboot-dbg
Section: debug
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}, grub-coreboot-bin (= ${binary:Version}), grub-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (Coreboot debug files)
 This package contains debugging files for grub-coreboot-bin.  You only need
 these if you are trying to debug GRUB using its GDB stub.

Package: grub-coreboot
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version}), grub-coreboot-bin (= ${binary:Version}), ucf
Replaces: grub-legacy, grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-linuxbios, grub-efi-amd64, grub-efi-ia32, grub-pc, grub-ieee1275
Conflicts: grub (<< 0.97-54), grub-legacy, grub-linuxbios (<< ${source:Version}), grub-efi-amd64, grub-efi-ia32, grub-pc, grub-ieee1275, grub-xen
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (Coreboot version)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This package contains a version of GRUB that has been built for use with
 platforms running the Coreboot firmware.

Package: grub-efi-ia32-bin
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version}), efibootmgr [i386 amd64]
Replaces: grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-efi, grub-efi-ia32 (<< 1.99-1)
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a

=== debian/control ===
Source: watershed
Section: admin
Priority: extra
Maintainer: Scott James Remnant <scott@ubuntu.com>
Build-Depends: debhelper (>= 8.9.0~), nettle-dev
Standards-Version: 3.9.2
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/watershed/ubuntu

Package: watershed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools
Enhances: udev
Recommends: udev
Replaces: udev (<< 135-1)
Description: reduce superfluous executions of idempotent command
 watershed may be run around a command such that any further attempts to
 run the command while another copy is running will only result in one
 initial further attempt.

Package: watershed-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reduce superfluous executions of idempotent command

=== rules ===
#!/usr/bin/make -f

package = gettext

export DEB_BUILD_MAINT_OPTIONS = hardening=-format

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CC = $(DEB_HOST_GNU_TYPE)-gcc
CFLAGS := `dpkg-buildflags --get CFLAGS` -Wall
CXXFLAGS := `dpkg-buildflags --get CXXFLAGS` -Wall
LDFLAGS := `dpkg-buildflags --get LDFLAGS`
CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
INSTALL_PROGRAM = install
INSTALL_SCRIPT = install

STRIP = true
ATRIP = true

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 # FIXME: libtool seems to call strip directly
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
   INSTALL_PROGRAM += -s
   STRIP=strip --strip-unneeded --remove-section=.comment --remove-section=.note
   ATRIP=strip --strip-debug
 else
   STRIP=$(DEB_HOST_GNU_TYPE)-strip --strip-unneeded --remove-section=.comment --remove-section=.note
   ATRIP=$(DEB_HOST_GNU_TYPE)-strip --strip-debug
 endif
endif

export AM_UPDATE_INFO_DIR = no

# PNET_ARCHS = %alpha%amd64%hppa%i386%ia64%mips%mipsel%powerpc%s390%sparc%
# ifneq (,$(findstring %$(DEB_HOST_ARCH)%,$(PNET_ARCHS)))
#   CSHARP = --enable-csharp=pnet
# endif

# MONO_ARCHS = %amd64%arm%i386%ia64%lpia%powerpc%
# ifneq (,$(findstring %$(DEB_HOST_ARCH)%,$(MONO_ARCHS)))
#   CSHARP = --enable-csharp=mono
# endif

CSHARP = --disable-csharp

NOJAVA_ARCHS = %none%

ifeq ($(DEB_STAGE),stage1)
   STAGE1_ARGS = --disable-java --without-git
else
   SET_JAVAC = JAVAC=/usr/lib/jvm/default-java/bin/javac
endif

# Avoid chaos due to patching libtool.m4
# (debian/patches/10-libtool-powerpc-le.patch).
export ACLOCAL := true
export AUTOCONF := true
export AUTOHEADER := true
export AUTOMAKE := true

build:
ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
	cd debian && $(CC) glibc-test.c
	debian/a.out
endif
	./configure --prefix=/usr --enable-threads $(CSHARP) $(STAGE1_ARGS) \
		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
		--disable-native-java \
		CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		$(SET_JAVAC) \
		CPPFLAGS="$(CPPFLAGS) -I/usr/include/libxml2" \
		CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
	$(MAKE)
	$(MAKE) install DESTDIR=`pwd`/debian/tmp \
		INSTALL_PROGRAM="$(INSTALL_PROGRAM)" \
		INSTALL_SCRIPT="$(INSTALL_SCRIPT)"
	touch build

clean:
	rm -f build
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars debian/a.out
	cd debian && rm -rf gettext-base gettext gettext-el gettext-doc \
		autopoint libgettextpo0 libasprintf0c2 libgettextpo-dev libasprintf-dev

binary-arch: build
	debian/rules gettext-base
	debian/rules gettext
	debian/rules libgettextpo0
	debian/rules libasprintf0c2
	debian/rules libgettextpo-dev
	debian/rules libasprintf-dev

binary-indep: build
	debian/rules gettext-el
	debian/rules gettext-doc
	debian/rules autopoint

gettext-base: build
	rm -rf debian/$@
	install -d debian/$@/DEBIAN debian/$@/usr/share/doc/$@
	cd debian/$@ && install -d usr/share/man/man1 usr/bin usr/lib \
		usr/share/lintian/overrides
	cp -p debian/$@.lintian-overrides \
		debian/$@/usr/share/lintian/overrides/$@
	cp -p debian/tmp/usr/share/man/man1/gettext.1 \
		debian/$@/usr/share/man/man1
	cp -p debian/tmp/usr/share/man/man1/ngettext.1 \
		debian/$@/usr/share/man/man1
	cp -p debian/tmp/usr/share/man/man1/envsubst.1 \
		debian/$@/usr/share/man/man1
	cp -a debian/tmp/usr/share/man/man3 debian/$@/usr/share/man
	cd debian/$@/usr/share/man/man3 && \
		rm -f dcgettext.3 dcngettext.3 dgettext.3 dngettext.3
	cp -p debian/tmp/usr/bin/gettext debian/$@/usr/bin
	cp -p debian/tmp/usr/bin/ngettext debian/$@/usr/bin
	cp -p debian/tmp/usr/bin/envsubst debian/$@/usr/bin
	cp -p debian/tmp/usr/bin/gettext.sh debian/$@/usr/bin
	cp -a debian/tmp/usr/share/locale debian/$@/usr/share
	if [ -f debian/tmp/usr/lib/GNU.Gettext.dll ]; then \
		cp -p debian/tmp/usr/lib/GNU.Gettext.dll debian/$@/usr/lib; \
	fi
	find debian/$@/usr/share/locale | grep gettext-tools | xargs rm
ifeq (,$(findstring %$(DEB_HOST_ARCH)%,$(NOJAVA_ARCHS)))
ifneq ($(DEB_BUILD_PROFILE),stage1)
	install -d debian/$@/usr/share/java
	cp -p debian/tmp/usr/share/gettext/libintl.jar \
		debian/$@/usr/share/java
endif
endif
	cp -p gettext-tools/ABOUT-NLS debian/$@/usr/share/doc/$@
	cp -p debian/copyright debian/$@/usr/share/doc/$@
	cp -p ChangeLog debian/$@/usr/share/doc/$@/changelog
	cp -p debian/changelog debian/$@/usr/share/doc/$@/changelog.Debian
	cd debian/$@/usr/share/doc/$@ && gzip -9n changelog changelog.Debian
	gzip -r9n debian/$@/usr/share/man
	ln -s gettext.3.gz debian/$@/usr/share/man/man3/dcgettext.3.gz
	ln -s gettext.3.gz debian/$@/usr/share/man/man3/dgettext.3.gz
	ln -s ngettext.3.gz debian/$@/usr/share/man/man3/dcngettext.3.gz
	ln -s ngettext.3.gz debian/$@/usr/share/man/man3/dngettext.3.gz
	$(STRIP) `sh debian/elf debian/$@/usr/bin/*`
	dpkg-shlibdeps `sh debian/elf debian/$@/usr/bin/* debian/$@/usr/lib/*`
	dpkg-gencontrol -p$@ -Pdebian/$@
	cd debian/$@ && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	find debian/$@/usr/share/locale -type d -empty | xargs -r rmdir
	find debian/$@/usr/share/locale -type d -empty | xargs -r rmdir
	chown -R 0:0 debian/$@
	chmod -R u+w,go=rX debian/$@
	dpkg --build debian/$@ ..

gettext: build
	rm -rf debian/$@
	install -d debian/$@/DEBIAN debian/$@/usr/share/doc/$@
	cd debian/$@ && install -d usr/share/man usr/share/java \
		usr/share/lintian/overrides
	cd debian && install -m 755 postinst $@/DEBIAN
	cp -p debian/$@.lintian-overrides \
		debian/$@/usr/share/lintian/overrides/$@
	cp -p gettext-runtime/BUGS gettext-tools/misc/DISCLAIM NEWS README \
		debian/copyright debian/$@/usr/share/doc/$@
	cp -p ChangeLog debian/$@/usr/share/doc/$@/changelog
	cp -p debian/changelog debian/$@/usr/share/doc/$@/changelog.Debian
	cd debian/$@/usr/share/doc/$@ && ln -s ../../$(package)/ABOUT-NLS
	cd debian/$@/usr/share/doc/$@ && gzip -9n changelog changelog.Debian
	cp -a debian/tmp/usr/bin debian/$@/usr
	cp -a debian/tmp/usr/lib debian/$@/usr
	cp -a debian/tmp/usr/share/info debian/$@/usr/share
	cp -a debian/tmp/usr/share/aclocal debian/$@/usr/share
	cp -a debian/tmp/usr/share/gettext debian/$@/usr/share
	rm -f debian/$@/usr/share/gettext/libintl.jar
ifeq (,$(findstring %$(DEB_HOST_ARCH)%,$(NOJAVA_ARCHS)))
ifneq ($(DEB_BUILD_PROFILE),stage1)
	mv debian/$@/usr/share/gettext/gettext.jar debian/$@/usr/share/java
endif
endif
	rm -f debian/$@/usr/lib/GNU.Gettext.dll
	cp -a debian/tmp/usr/share/man/man1 debian/$@/usr/share/man
	cp -a debian/tmp/usr/share/locale debian/$@/usr/share
	find debian/$@/usr/share/locale | grep gettext-runtime | xargs rm
	cd debian/$@/usr/bin && rm -f gettext ngettext envsubst gettext.sh
	cd debian/$@/usr/lib && rm -f libasprintf* libgettextpo* *.la
	cd debian/$@/usr/share/man/man1 && \
		rm -f gettext.1 ngettext.1 envsubst.1
	cd debian/$@/usr/lib && chmod 644 libgettextlib* libgettextsrc*
	$(STRIP) debian/$@/usr/lib/preloadable_libintl.so
	$(STRIP) debian/$@/usr/lib/libgettextlib*.so
	$(STRIP) debian/$@/usr/lib/libgettextsrc*.so
	rm -f debian/$@/usr/bin/autopoint
	rm -f debian/$@/usr/share/man/man1/autopoint.1
	rm -f debian/$@/usr/share/gettext/archive.dir.tar.xz
	rm -f debian/$@/usr/lib/libgettextlib.so
	rm -f debian/$@/usr/lib/libgettextsrc.so
	gzip -9n debian/$@/usr/share/info/*
	gzip -r9n debian/$@/usr/share/man
	$(STRIP) `sh debian/elf debian/$@/usr/bin/* debian/$@/usr/lib/gettext/*`
	dpkg-shlibdeps `sh debian/elf debian/$@/usr/bin/* debian/$@/usr/lib/gettext/* debian/$@/usr/lib/*`
	dpkg-gencontrol -p$@ -Pdebian/$@
	cd debian/$@ && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	find debian/$@/usr/share/locale -type d -empty | xargs -r rmdir
	find debian/$@/usr/share/locale -type d -empty | xargs -r rmdir
	chown -R 0:0 debian/$@
	chmod -R u+w,go=rX debian/$@

=== debian/watch ===
version=3
http://pogostick.net/~pnh/ntpasswd/editor.html \
 chntpw-source-(.*)\.zip

=== tests/control ===
Tests: build
Depends: libglib2.0-dev, build-essential

Tests: installed-tests
Depends: libglib2.0-tests, dbus-x11, xauth, xvfb, gnome-desktop-testing

=== watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://search.cpan.org/dist/Net-Netmask/ \
	.*/Net-Netmask-(\d.+).tar.gz
